Bug 1529124 (CVE-2017-17862) - CVE-2017-17862 kernel: Improper logic pruning in bpf/verifier.c
Summary: CVE-2017-17862 kernel: Improper logic pruning in bpf/verifier.c
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-17862
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20171223,reported=2...
Depends On: 1529125 1535002
Blocks: 1528364
TreeView+ depends on / blocked
 
Reported: 2017-12-26 14:46 UTC by Pedro Sampaio
Modified: 2019-07-12 13:04 UTC (History)
42 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 13:04:44 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-12-26 14:46:26 UTC
kernel/bpf/verifier.c in the Linux kernel through 4.14.8 ignores unreachable code, even though it would still be processed by JIT compilers. This behavior, also considered an improper branch-pruning logic issue, could possibly be used by local users for denial of service.

Upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=c131187db2d3fa2f8bf32fdf4e9a4ef805168467

References:

https://www.spinics.net/lists/stable/msg206984.html

Comment 1 Pedro Sampaio 2017-12-26 14:47:33 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1529125]

Comment 3 Prasad J Pandit 2018-01-18 05:26:05 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.

Comment 5 Product Security DevOps Team 2019-07-12 13:04:44 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-17862


Note You need to log in before you can comment on or make changes to this bug.